
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "stones.inc"
#include "e:\pov\ultraroska.inc"

global_settings {
#max_trace_level 30
ambient_light rgb <1.5,1.5,1.5>
}

light_source
{
  0*x // light's position (translated below)
  color red .3  green 0.3  blue 0.3  // light's color
  translate <200, 500, -300>
}

light_source
{
  0*x // light's position (translated below)
  color red .3  green 0.3  blue 0.3  // light's color
  translate <230, 500, -300>
}
light_source
{
  0*x // light's position (translated below)
  color red .3  green 0.3  blue 0.3  // light's color
  translate <200, 500, -270>
}

light_source
{
  0*x // light's position (translated below)
  color red 0.2  green 0.2  blue 0.2  // light's color
  translate <230, 500, -270>
shadowless
}

sphere {<215,500,-275>,40 pigment {rgb <1,1,.5>} finish {ambient 1}
no_shadow
} 
#local clockk=clock;
#local np=135;
#if (clock<45)
#local np=clockk*3;
#end

#switch (clockk)
#range (-100,0)
#local kxx=-50;
#local kyy=25;
#local kzz=-180;
#break
#range (0,20)
#local kxx=sin((clockk*9-90)*pi/180)*50;
#local kyy=25;
#local kzz=sin((clockk*9-90)*pi/180)*40-140;
#break
#range (20,45)
#local kxx=50;
#local kyy=sin(((clockk-20)*7.2-90)*pi/180)*237.5+262.5;
#local kzz=-100;
#break
#end
camera
{
  location  <kxx , kyy ,-180.0>
  look_at   <100.0 , 10.0 , kzz>
}
/*
camera
{
  location  <80.0 , 25.0 ,-180.0>
  look_at   <140.0 , 10.0 , -180.0>
}

camera
{
  location  <50.0 , 500.0 ,-180.0>
  look_at   <100.0 , 10.0 , -100.0>
}
*/

sky_sphere {pigment {gradient y
color_map
{
[0.0 rgb <0,0,1>]
[1.0 rgb <.5,.5,1>]
}
}}
union {
#difference {
plane {y,0}
plane {x,0}
}

#difference {
plane {y,30}
plane {-x,0}
}

#difference {
plane {y,0 rotate <0,0,-30>} 
plane {-y,.1} 
translate <0,30,0>
}
pigment {Green}

translate <-100,0,0>
}
#declare penkki=texture {pigment {Gray70}}
#declare ppenkki=texture {pigment {wood turbulence .1} normal {dents .3} }

box {<-2,10,-2>,<2,60,1> texture {penkki} rotate <0,0,60> translate <-40,-4,0>}
box {<-2,10,-2>,<2,60,1> texture {penkki} rotate <0,0,60> translate <-40,-4,-30>}
box {<-2,10,-2>,<2,60,1> texture {penkki} rotate <0,0,60> translate <-40,-4,-60>}
box {<-2,10,-2>,<2,60,1> texture {penkki} rotate <0,0,60> translate <-40,-4,30>}
box {<-2,10,-2>,<2,60,1> texture {penkki} rotate <0,0,60> translate <-40,-4,60>}

#local pen=0;
#while (pen<10)
box {<0,0,-65>,<4,1,65> translate <-55-sin(60*pi/180)*pen*5,5+cos(60*pi/180)*pen*5,0> texture {ppenkki}}
#local pen=pen+1;
#end
sphere {<0,0,0>,1000 scale <1,.1,1> translate <200,-30,1500> pigment {Green}}

sphere {<0,0,0>,1000 scale <1,.2,1> translate <1600,-70,00> pigment {Green}}

sphere {<0,0,0>,1000 scale <1,.2,1> translate <1600,-70,00> rotate <0,-30,0> pigment {Green}}


object {kivi scale 7 translate <-80,15,80>}

sphere {<0,0,0>,1 pigment {rgbf <1,1,1,1>}
hollow
interior {
media {
emission <.01,.01,.01>
}
}
scale <80,30,30>
translate <-100,130,300>
}


#local em=0

#include "e:\pov\sydukko.inc"
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*3*5,5+cos(60*pi/180)*3*5+13,0>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*1*5,5+cos(60*pi/180)*1*5+13,30>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*5*5,5+cos(60*pi/180)*5*5+13,-20>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*2*5,5+cos(60*pi/180)*2*5+13,40>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*6*5,5+cos(60*pi/180)*6*5+13,-4>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*4*5,5+cos(60*pi/180)*4*5+13,16>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*2*5,5+cos(60*pi/180)*2*5+13,18>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*6*5,5+cos(60*pi/180)*6*5+13,-24>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*4*5,5+cos(60*pi/180)*4*5+13,-46>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*2*5,5+cos(60*pi/180)*2*5+13,-38>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*0*5,5+cos(60*pi/180)*0*5+13,-10>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*1*5,5+cos(60*pi/180)*1*5+13,16>}
object {sydukko rotate <0,-90,0> scale 2 translate <-55-sin(60*pi/180)*2*5,5+cos(60*pi/180)*2*5+13,-20>}


#local clocka=clock;
#local hyllym=sin(clock); //-1 to 1
#local sukuli=.5; //0 to 1
#local hiuskul=sin(clocka*pi/180*90)*45; //-45 to 45
#local vasenkasikul=cos((clocka*60)*pi/180)*10; //10 to -10 10 edes 
#local oikeakasikul=cos((clocka*60+180)*pi/180)*10; //10 to -10 -10 takana 
#local jalkakul=array[6]
#local jalkakul[1]=cos((clocka*60)*pi/180)*5;
#local jalkakul[2]=cos((clocka*60+72)*pi/180)*5;
#local jalkakul[3]=cos((clocka*60+144)*pi/180)*5;
#local jalkakul[4]=cos((clocka*60+216)*pi/180)*5;
#local jalkakul[5]=cos((clocka*60+288)*pi/180)*5;
#local jalkapit=array[6]
#local jalkapit[1]=1;
#local jalkapit[2]=1;
#local jalkapit[3]=1;
#local jalkapit[4]=1;
#local jalkapit[5]=1;
#local mpie=0;

#local ihku=1;
#while (ihku<6)
#if (jalkapit[ihku]<1)
#local jalkapit[ihku]=1;
#end
#local ihku=ihku+1;
#end
union {

#declare iho=texture {pigment
{gradient z pigment_map {
[0.0 Flesh]
[0.8 Flesh]
[0.85 granite pigment_map {[0.0 Brown] [0.5 Flesh]} scale .1]
[.95 Brown]
[1 Brown]
}
scale 10
translate <0,0,-6.5>
}
//finish {metallic phong 1}
}
#declare paita=texture {
pigment {Blue}
normal {gradient z normal_map {
[0.0 ripples 1 scale 1/6]
[1.0 ripples 0 scale 1/6]
}
scale 6}}
#declare housu=texture {pigment {Gray50}}
blob {
cylinder {<0,0,0>,<0,1,0>,1,2 texture {iho}}
sphere {<0,0,0>,5,3 scale <1,1.3,1> translate <0,5.5,0> texture {iho}}
cylinder {<0,5.5,0>,<0,3.5,-5>,1,2 texture {iho}} 
sphere {<-1,6,-1.7>,1.5,-3 texture {iho}}  
sphere {<1,6,-1.7>,1.5,-3 texture {iho}} 
cylinder {<0,0,0>,<0,0,-2>,1,-2 scale <1.5,sukuli,1> translate <0,3,0> pigment {Red}}

sphere {<-1,7,-1.7>,.5,3 texture {iho}}
sphere {<1,7,-1.7>,.5,3 texture {iho}}                                         

cylinder {<-4,0,0>,<4,0,0>,1,2 texture {paita}}                                         

sphere {<0,0,0>,8,3 scale <1,1.5,.6> translate <0,-8.5,0> texture {paita}}
sphere {<0,0,0>,6,3 scale <1,1,.6> translate <0,-11.5+hyllym,-3> texture {paita}}
sphere {<0,0,0>,3,3 scale <1,1,.6> translate <-2,-6.5+hyllym,-2> texture {paita}}
sphere {<0,0,0>,3,3 scale <1,1,.6> translate <2,-6.5+hyllym,-2> texture {paita}}
}



sphere {<0,0,0>,1 hollow
pigment {rgbf <1,1,1,1>}
interior {
media {
scattering { 2, rgb <1,0,0> extinction 1 } 
emission rgb <1,1,1>
density {spherical density_map {
[0.0 rgb <1,1,1>]
[0.5 rgb <0,0,1>]
}
}

}
}
translate <1,6,-1.7>
}


sphere {<0,0,0> ,1 hollow
pigment {rgbf <1,1,1,1>}
interior {
media {
scattering { 2, rgb <1,0,0> extinction 1 } 
emission rgb <1,1,1>
density {spherical density_map {
[0.0 rgb <1,1,1>]
[0.5 rgb <0,0,1>]
}
}
}
}
translate <-1,6,-1.7>
}


union {
#declare yy=1;
#while (yy<13)
#declare kk=0;
#while (kk<3)
#declare rr=yy+kk - int((yy+kk)/3)*3;
#switch (rr)
#case (0)
#declare xx=-1;
#declare zz=-.1;
#break
#case (1)
#declare xx=0;
#declare zz=0;
#break
#case (2)
#declare xx=1;
#declare zz=.1;
#break
#end
#declare rr=yy+kk+1 - int((yy+kk+1)/3)*3;
#switch (rr)
#case (0)
#declare xxx=-1;
#declare zzz=-.1;
#break
#case (1)
#declare xxx=0;
#declare zzz=0;
#break
#case (2)
#declare xxx=1;
#declare zzz=-.1;
#break
#end
#declare jak=yy/5+1;
cylinder {<xx/jak,yy,zz/jak>,<xxx/jak,yy+1,zzz/jak>,.35/jak}
sphere {<xx/jak,yy,zz/jak>,.35/jak}
#declare kk=kk+1;
#end
#declare yy=yy+1;
#end
#declare kk=0;
#while (kk<360)
cylinder {<0,0,0>,<-1.5,0,-.6>,.2 rotate <0,0,kk> translate <-.8,1,-.1>}
cylinder {<0,0,0>,<-1.5,0,-.6>,.2 rotate <0,0,kk+10> translate <0,1,0>}
cylinder {<0,0,0>,<-1.5,0,-.6>,.2 rotate <0,0,kk+20> translate <.8,1,.1>}
#declare kk=kk+30;
#end
pigment {rgbf <.8,.5,.3,.3>}
finish {phong 1}
translate <0,-1,0>
rotate <180,0,0>
rotate <0,180,0>
rotate <0,0,hiuskul>
translate <0,5.5,3.1>
}
#local zz=0;
#local yy=0;


merge {
#local ke=0;
#while (ke<10)
#local ezz=zz;
#local eyy=yy;
#local zz=zz+sin((180+ke*oikeakasikul)*pi/180);
#local yy=yy+cos((180+ke*oikeakasikul)*pi/180);
union {
sphere {<0,yy,zz>,.5}
cylinder {<0,yy,zz>,<0,eyy,ezz>,.5}
pigment {rgbf <ke/10,ke/10,1,ke/10>}
}
#local ke=ke+1;
#end
rotate <0,0,-30>
interior {ior 1.5}
translate <-4,0,0>
}
#local zz=0;
#local yy=0;
merge {
#local ke=0;
#while (ke<10)
#local ezz=zz;
#local eyy=yy;
#local zz=zz+sin((180+ke*vasenkasikul)*pi/180);
#local yy=yy+cos((180+ke*vasenkasikul)*pi/180);
union {
sphere {<0,yy,zz>,.5}
cylinder {<0,yy,zz>,<0,eyy,ezz>,.5}
pigment {rgbf <ke/10,ke/10,1,ke/10>}
}
#local ke=ke+1;
#end
rotate <0,0,30>
interior {ior 1.5}
translate <4,0,0>
}

#local jalnum=1;
#while (jalnum<5.5)
#local zz=0;
#local yy=0;

merge {
#local ke=0;
#while (ke<20)
#local ezz=zz;
#local eyy=yy;
#local zz=zz+sin((180+ke*jalkakul[jalnum])*pi/180);
#local yy=yy+cos((180+ke*jalkakul[jalnum])*pi/180);
#if (yy<mpie) 
#local mpie=yy;
#end
union {
sphere {<0,yy,zz>,.8}
cylinder {<0,yy,zz>,<0,eyy,ezz>,.8}
pigment {rgbf <ke/10,ke/10,1,ke/10>}
}
#local ke=ke+jalkapit[jalnum];
#end
rotate <0,0,0>
interior {ior 1.5}
translate <(jalnum-2.5)*2,-10,0>
}
#local jalnum=jalnum+1;
#end
rotate <0,180,0>
translate <0,-mpie,0>
scale .5
translate   <-25.0 , 5.0 , -200.0>
} 











#declare naata=union {





#local clocka=clock*60;
#local ja=array[5]

#local ja[1]=(sin((clocka+90)*pi/180)+1)*4+.5; // jalka1suoruus
#if (ja[1]>3.5)
#local ja[1]=3.7;
#end
#local ja[2]=(sin((clocka+270)*pi/180)+1)*4+.5; // jalka2suoruus
#if (ja[2]>3.7)
#local ja[2]=3.5;
#end

#local ja[3]=sin(clocka*pi/180)*40; // jalka1kulma
#local ja[4]=sin((clocka+180)*pi/180)*40; // jalka2kulma

#local ka=array[3]
#local ka[1]=sin((clocka+180)*pi/180)*20;
#local ka[2]=sin(clocka*pi/180)*20;
#local naatapaa=union {
#local turkki=texture {pigment {Brown}}
sphere {<0,0,0>,2 scale <1,.9,.9> texture {turkki}}
#local xx=0;
#local yy=0;
#local kee=0;
#while (kee<4)
#local exx=xx;
#local eyy=yy;
#local xx=xx-cos((kee-1)*15*pi/180)*.8/2;
#local yy=yy+sin((kee-1)*15*pi/180)/2;
sphere {<xx,yy,0>,1.5-kee/2.5 texture {turkki}}
#local kee=kee+.5;
#end
sphere {<xx,yy,0>,.4 pigment {Gray10} finish {phong 1}}

#local kee=-5;
#while (kee<4)
cylinder {<xx+.1,0,-1.5>,<xx+.1,0,1.5>,.07 rotate <kee*10,0,0> translate <0,yy-.4,0> pigment {White}}
#local kee=kee+1;
#end

#local silm=texture {
pigment {
gradient x
color_map {
[0.0 rgb <0,0,0>]
[0.1 rgb <0,0,1>]
[0.2 rgb <0,0,1>]
[0.3 rgb <1,1,1>]
[1 rgb <1,1,1>]
}}}

sphere {<0,0,0>,1 texture {silm translate <-1,0,0>}  scale <.3,.5,.5> rotate <-40,30,-40> translate <-1.2,1.2,.5>}
sphere {<0,0,0>,1 texture {silm translate <-1,0,0>}  scale <.3,.5,.5> rotate <-40,-30,-40> translate <-1.2,1.2,-.5>}

union {
#local kee=0;
#while (kee<360)
sphere {<-1.2,2,0>,.7 rotate <0,kee,0> pigment {Gray10} normal {bumps .3 scale .3}}
#local kee=kee+30;
#end
cylinder {<0,2,0>,<0,3.6,0>,.2 pigment {Gray10} normal {bumps .3 scale .3}}
cylinder {<0,2,0>,<0,2.7,0>,1.2 pigment {Gray10} normal {bumps .3 scale .3}}
 rotate <0,0,-30> 
}
}

object {naatapaa}

#declare natali=texture {pigment {
gradient x color_map {
[0.0 White]
[0.2 Gray40]
[0.4 Brown]
[1 Brown]
}
}
normal {gradient x normal_map {
[0.0 gradient y 2 translate <0,.2,0>]
[0.2 gradient y 2 translate <0,.6,0>]
[0.6 gradient y 2 translate <0,.8,0>]
[0.8 gradient y 2 translate <0,0,0>]
}
scale <.3,.05,1>
}
}
sphere {<0,0,0>,4 scale <.5,1.6,.7>  translate <0,-7,0> texture {natali scale 4 translate <-2,0,0>} rotate <0,0,50>}

cylinder {<1,-1,-3>,<1,-1,3>,.7 pigment {Brown}}
sphere {<1,-1,-3>,.7 pigment {Brown}}
sphere {<1,-1,3>,.7 pigment {Brown}}

union {
cylinder {<0,0,0>,<0,-6,0>,.7 }
sphere {<0,-6,0>,.7}
cylinder {<0,-6,0>,<-1,-10,0>,.7}
sphere {<-1,-10,0>,.7}
cylinder {<-1,-10,0>,<-1,-11,-1>,.2}
cylinder {<-1,-10,0>,<-1,-12,-.3>,.2}
cylinder {<-1,-10,0>,<-1,-12,.3>,.2}
cylinder {<-1,-10,0>,<-1,-11,1>,.2}
rotate <0,0,ka[1]>
translate <1,-1,-3>
pigment {Brown}
}


union {
cylinder {<0,0,0>,<0,-6,0>,.7 }
sphere {<0,-6,0>,.7}
cylinder {<0,-6,0>,<-1,-10,0>,.7}
sphere {<-1,-10,0>,.7}
cylinder {<-1,-10,0>,<-1,-11,-1>,.2}
cylinder {<-1,-10,0>,<-1,-12,-.3>,.2}
cylinder {<-1,-10,0>,<-1,-12,.3>,.2}
cylinder {<-1,-10,0>,<-1,-11,1>,.2}
rotate <0,0,ka[2]>
translate <1,-1,3>
pigment {Brown}
}

sphere {<0,0,0>,4 scale <.5,.6,.8>  translate <0,-10,0> texture {natali scale 4 translate <-2,0,0>} rotate <0,0,50>}


#local yyb=ja[1];
#local yyc=sqrt(pow(4,2)-pow(yyb,2));
union {
cylinder {<0,0,0>,<-yyc,-yyb,0>,.7 }
sphere {<-yyc,-yyb,0>,.7}
cylinder {<0,-yyb*2,0>,<-yyc,-yyb,0>,.7}
sphere {<0,-yyb*2,0>,.7}

union {
cylinder {<-.2,0,0>,<-.2,.3,0>,.7 scale <2,1,1>}
cylinder {<-.4,0,0>,<-.4,.3,0>,.7 scale <2,1,1.2>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,30,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,10,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,-10,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,-30,0>}
translate <0,-yyb*2-.8,0>
}
rotate <0,0,ja[3]> translate <8,-8,-2>  pigment {Brown}
}

#local yyb=ja[2];
#local yyc=sqrt(pow(4,2)-pow(yyb,2));
union {
cylinder {<0,0,0>,<-yyc,-yyb,0>,.7 }
sphere {<-yyc,-yyb,0>,.7}
cylinder {<0,-yyb*2,0>,<-yyc,-yyb,0>,.7}
sphere {<0,-yyb*2,0>,.7}

union {
cylinder {<-.2,0,0>,<-.2,.3,0>,.7 scale <2,1,1>}
cylinder {<-.4,0,0>,<-.4,.3,0>,.7 scale <2,1,1.2>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,30,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,10,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,-10,0>}
cylinder {<0,.15,0>,<-4,.15,0>,.1 rotate <0,-30,0>}
translate <0,-yyb*2-.8,0>
}
rotate <0,0,ja[4]> translate <8,-8,2> pigment {Brown}
}
rotate <0,90,0>
translate <0.0 , 16.5 , 0.0>
}











#declare oto=union {
union {
#declare ots=texture {pigment {rgb <.2,.2,.2>} normal {dents 1 scale .5} finish {phong .5}}
#declare omah=texture {pigment {rgb <.9,.9,.85>} normal {bumps .2} finish {ambient .3}}
difference {
sphere {<0,0,0>,3 scale <1.5,1,2>}
torus {3,.6 scale <1.5,1,2> translate <0,-.7,0>}
torus {3,.3 rotate <0,0,90> scale <1.5,1,2>}
plane {y,-.6}
texture {ots}
}

union {
#local zz=-3.3;
#while (zz<3)
#local zz=zz+.4;
#local lev=4.3-pow(zz,2)/2;
torus {lev*.9,.6 rotate <90,0,0> scale <1,.4,1> translate <0,-lev/5-.2,zz*2>}
/*sphere {<-lev,-1,zz*2>,.4}
sphere {<lev,-1,zz*2>,.4}*/
#end
texture {omah}
}

union {
difference {
sphere {<0,0,0>,3 scale <1.5,1,2>}
torus {3,.6 scale <1.5,1,2> translate <0,-.7,0>}
torus {3,.3 rotate <0,0,90> scale <1.5,1,2>}
plane {y,-.6}
texture {ots}
}
union {
#local zz=-3.3;
#while (zz<3)
#local zz=zz+.4;
#local lev=4.3-pow(zz,2)/2;
torus {lev*.9,.6 rotate <90,0,0> scale <1,.4,1> translate <0,-lev/5-.2,zz*2>}
/*sphere {<-lev,-1,zz*2>,.4}
sphere {<lev,-1,zz*2>,.4}*/
#end
texture {omah}
}
scale <.6,1,1/2>
scale .7
translate <0,0,-6>
}


}























#local clocka=clock*120;


#if (clocka>5400)
#local clocka=5400
#end

#local pihkul=45;//saksienkulma
#local pihku2=0;//vasenoikea
#local pihku3=0;//ylosalas
#local pihku4=0;//ympari

#local jkul=array [7][4]
#local ervo=1;
#while (ervo<4)
#local kehko=(ervo*120+clocka)*pi/180;
#local jkul[ervo][1]=(90-sin(kehko)*45); //0 on suoraan yls 90 vasen 180 alas
#if (jkul[ervo][1]>90)
#local jkul[ervo][1]=90;
#end
#local jkul[ervo][1]=jkul[ervo][1]*pi/180;
#local jkul[ervo][2]=170*pi/180;
#local jkul[ervo][3]=-70+cos(kehko)*10+ervo*25; //cos(kehko)*15+
#local ervo=ervo+1;
#end

#local ervo=4;
#while (ervo<7)
#local kehko=(ervo*120+clocka)*pi/180;
#local jkul[ervo][1]=(90-sin(kehko)*45); //0 on suoraan yls 90 vasen 180 alas
#if (jkul[ervo][1]>90)
#local jkul[ervo][1]=90;
#end
#local jkul[ervo][1]=jkul[ervo][1]*pi/180;
#local jkul[ervo][2]=170*pi/180;
#local jkul[ervo][3]=-(-70+cos(kehko)*10+(ervo-3)*25); //cos(kehko)*15+
#local ervo=ervo+1;
#end


#local matal=0;
#local ahki=1;
#while (ahki<4)
union {
cylinder {<-1.5,0,0>,<-1.5-sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,.2}
sphere {<-1.5-sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,.2}
cylinder {<-1.5-sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,<-1.5-sin(jkul[ahki][1])*4-sin(jkul[ahki][2])*4,cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4,0>,.2}
union {
cylinder {<0,0.4,0>,<0,0,0>.25 pigment {White}}
sphere {<0,0,0>,.4 scale <1,1,2> translate <0,.25,.5> rotate <0,225,0> pigment {White}}
translate <-1.5-sin(jkul[ahki][1])*4-sin(jkul[ahki][2])*4,cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4,0>
}
texture {
gradient x texture_map {
[0.0 ots]
[1.0 pigment {Yellow}]
}
scale 5
translate <8.5,0,0>
}

rotate <0,jkul[ahki][3],0>
translate <0,0,-6>
#if ((cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4)<matal)
#local matal=(cos(jkul[ahki][1])*3+cos(jkul[ahki][2])*4);
#end
#declare ahki=ahki+1;
}
#end

#local ahki=4;
#while (ahki<7)
union {
cylinder {<1.5,0,0>,<1.5+sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,.2}
sphere {<1.5+sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,.2}
cylinder {<1.5+sin(jkul[ahki][1])*4,cos(jkul[ahki][1])*4,0>,<1.5+sin(jkul[ahki][1])*4+sin(jkul[ahki][2])*4,cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4,0>,.2}
union {
cylinder {<0,0.4,0>,<0,0,0>.25 pigment {White}}
sphere {<0,0,0>,.4 scale <1,1,2> translate <0,.25,.5> rotate <0,-225,0> pigment {White}}
translate <1.5+sin(jkul[ahki][1])*4+sin(jkul[ahki][2])*4,cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4,0>
}
texture {
gradient x texture_map {
[0.0 ots]
[1.0 pigment {Yellow}]
}
scale 5
translate <-8.5,0,0>
}
rotate <0,jkul[ahki][3],0>
translate <0,0,-6>
#if ((cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4)<matal)
#local matal=(cos(jkul[ahki][1])*4+cos(jkul[ahki][2])*4);
#end
#declare ahki=ahki+1;
}
#end


union {
sphere {<0,0,0>,2 scale <1,1,1.5> texture {ots}}
sphere {<0,0,0>,1 translate <-1,.5,-2> pigment {brick rgbf <.2,.2,.2,.5>,rgbf <1,1,0,.5> scale .1}}
sphere {<0,0,0>,1 translate <1,.5,-2> pigment {brick rgbf <.2,.2,.2,.5>,rgbf <1,1,0,.5> scale .1}}
/*
light_source
{
  0*x // light's position (translated below)
  color red 1  green 1  blue 1  // light's color
translate <-1.3,.5,-2.2>
}

light_source
{
  0*x // light's position (translated below)
  color red 1  green 1  blue 1  // light's color
translate <1.3,.5,-2.2>
}
*/
union {
difference {
torus {1,.2}
plane {x,0}
translate <0,0,-1>
rotate <0,-pihkul,0>
translate <0,0,-1.5>
}
difference {
torus {1,.2}
plane {-x,0}
translate <0,0,-1>
rotate <0,pihkul,0>
translate <0,0,-1.5>
}
sphere {<0,0,-1.5>,.2}
cylinder {<0,0,2>,<0,0,-1.5>,.2}
texture {gradient z texture_map {
[0 ots]
[1.0 pigment {Yellow}]
}
scale 4
}
translate <0,0,-2>
rotate <pihku3,pihku2,pihku4>
translate <0,0,-2.5>
}
scale .8
translate <0,1,-7.5>
}

translate <0,-matal,0>
rotate <0,90,0>
//translate <-clocka/60,0,0>
/*#local clocka=clock;
rotate <clocka,0,clocka>
#local sca=1;
#local sca2=1;
#if (clocka>81)
#local sca=1/((clocka-80));
#local sca2=(clocka-78)/4;
#end
scale <sca2,sca2,sca>
translate <0,clocka/4,clocka/2>
*/
}



#declare suuauki=90;


#declare lisko=union {

#declare mtak=texture {pigment {Gray10} finish {phong 10}}
plane {y,-30 pigment {Green}}
union {
#difference {
cone {<0,0,0>,2,<0,-29,0>,3}
#declare kulmm=0;
#while (kulmm<360)
cone {<0,0,2>,0,<0,-29,0>,1 scale <1,1,.5> translate <0,0,-3> rotate <0,kulmm,0>}
#declare kulmm=kulmm+60;
#end
}
#declare kulmm=30;
#while (kulmm<370)
cone {<0,0,2>,0,<0,-29,0>,1 scale <1,1,.5> translate <0,0,-3> rotate <0,kulmm,0>}
#declare kulmm=kulmm+60;
#end
sphere {<0,0,0>,2 scale <1,1,1>}
scale <2.5,1,1>
texture {mtak}
}
#declare nap=-3;
#while (nap>-28)
sphere {<0,nap,nap/29-2>,.5 texture {Gold_Metal}}
#declare nap=nap-4;
#end


union{
#declare liskoiho=texture {pigment {rgb <0,.5,0>} normal {hexagon 1 scale .1} finish {phong 1 phong_size 60}}
#declare liskoiho2=texture {pigment {rgb <0,.2,0>} normal {hexagon 1 scale .1} finish {phong 1 phong_size 60}}
#declare hammas=texture {pigment {rgb <1,1,.6>} }
blob {
threshold 1.5
cylinder {<0,0,-.5>,<0,1,-.5>,1,3 texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.2,.8> translate <0,1.5,-.4> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,1.5> translate <0,1.8,-1.6> texture {hammas}}

cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,1.5> translate <0,2,-1.6> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,1.4> translate <0,2.2,-1.55> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,1.3> translate <0,2.4,-1.5> texture {liskoiho}}

sphere {<-.3,0,-2>,.3,-5 scale <1,.25,1> translate <0,3,0> texture {liskoiho}}
sphere {<.3,0,-2>,.3,-5 scale <1,.25,1> translate <0,3,0> texture {liskoiho}}
sphere {<-.3,0,-2>,.2,2 scale <1,.25,.5> translate <0,3.2,0> texture {liskoiho2}}
sphere {<.3,0,-2>,.2,2 scale <1,.25,.5> translate <0,3.2,0> texture {liskoiho2}}
sphere {<-.4,2.4,-3.2>,.3,10 texture {hammas}}
sphere {<.4,2.4,-3.2>,.3,10 texture {hammas}}
cylinder {<-.4,2.4,-3>,<-.4,2.4,-3.4>,.15,-8 texture {hammas}}
cylinder {<.4,2.4,-3>,<.4,2.4,-3.4>,.15,-8 texture {hammas}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,1.1> translate <0,2.6,-1> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,.9> translate <0,2.8,-.95> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,.87> translate <0,3,-.85> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,.82> translate <0,3.2,-.8> texture {liskoiho}}
cylinder {<0,0,0>,<0,1,0>,2,3 scale <.8,.15,.8> translate <0,3.4,-.75> texture {liskoiho}}

cylinder {<-.3,1.9,-3.5>,<-.3,1.4,-3.55>,.1,10 texture {hammas}}
cylinder {<.3,1.9,-3.5>,<.3,1.4,-3.55>,.1,10 texture {hammas}}
cylinder {<-.55,1.9,-3.3>,<-.65,1.4,-3.3>,.1,10 texture {hammas}}
cylinder {<.55,1.9,-3.3>,<.65,1.4,-3.3>,.1,10 texture {hammas}}
cylinder {<-.8,1.9,-2.75>,<-.9,1.4,-2.75>,.1,10 texture {hammas}}
cylinder {<.8,1.9,-2.75>,<.9,1.4,-2.75>,.1,10 texture {hammas}}
cylinder {<-.9,1.9,-2.25>,<-1,1.4,-2.25>,.1,10 texture {hammas}}
cylinder {<.9,1.9,-2.25>,<1,1.4,-2.25>,.1,10 texture {hammas}}
cylinder {<-.9,1.9,-1.75>,<-1,1.4,-1.75>,.1,10 texture {hammas}}
cylinder {<.9,1.9,-1.75>,<1,1.4,-1.75>,.1,10 texture {hammas}}
}
union {
blob {
threshold 1.5
cylinder {<0,0,0>,<0,1,0>,2,3 scale <1,.3,2> translate <0,.8,-1.5> texture {liskoiho}}
cylinder {<-.1,1.1,-3.5>,<-.1,1.4,-3.5>,.1,10 texture {hammas}}
cylinder {<.1,1.1,-3.5>,<.1,1.4,-3.5>,.1,10 texture {hammas}}
cylinder {<-.7,1.1,-3>,<-.8,1.4,-3>,.1,10 texture {hammas}}
cylinder {<.7,1.1,-3>,<.8,1.4,-3>,.1,10 texture {hammas}}
cylinder {<-.9,1.1,-2.5>,<-1,1.4,-2.5>,.1,10 texture {hammas}}
cylinder {<.9,1.1,-2.5>,<1,1.4,-2.5>,.1,10 texture {hammas}}
cylinder {<-.9,1.1,-2>,<-1,1.4,-2>,.1,10 texture {hammas}}
cylinder {<.9,1.1,-2>,<1,1.4,-2>,.1,10 texture {hammas}}
cylinder {<-.4,1.1,-3.4>,<-.5,1.3,-3.5>,.2,6 texture {hammas}}
cylinder {<.4,1.1,-3.4>,<.5,1.3,-3.5>,.2,6 texture {hammas}}
cylinder {<-.6,1.5,-3.6>,<-.5,1.3,-3.5>,.15,6 texture {hammas}}
cylinder {<.6,1.5,-3.6>,<.5,1.3,-3.5>,.15,6 texture {hammas}}
cylinder {<-.6,1.5,-3.6>,<-.7,1.7,-3.7>,.1,6 texture {hammas}}
cylinder {<.6,1.5,-3.6>,<.7,1.7,-3.7>,.1,6 texture {hammas}}
cylinder {<-.8,1.9,-3.8>,<-.7,1.7,-3.7>,.05,6 texture {hammas}}
cylinder {<.8,1.9,-3.8>,<.7,1.7,-3.7>,.05,6 texture {hammas}}
}
#declare kul=cos(suuauki*pi/180)*6-4;

bicubic_patch
{
  type 1 // patch_type (0..1)
  flatness 0.1 // flatness value
  u_steps 4 // # of triangles to subdivide (1-5)
  v_steps 4 // # of triangles to subdivide (1-5)
  <-1, .2, 1> <-.6, .2, 1> <.6, .2, 1> <1, .2, 1>
  <-1, .1, 1> <-.1, .4, -2> <.1, .4, -2> <1, .1, 1>
  <-.8, -.1, 1> <-.1, 0, -5> <.1, 0, -5> <.8, -.1, 1>
  <-.8, -.2, 1> <-.6, -.2, 1> <.6, -.2, 1> <.8, -.2, 1>
pigment {Red}
finish {phong 1 ambient .3}
normal {bumps 1 scale .1}
scale <.7,1,1.4>
translate <0,1.4,-1.3>
}
translate <0,-1,0>
rotate <kul,0,0>
translate <0,1.2,0>
}

#declare silm=texture {
pigment {gradient z color_map {
[0 color <1,0,0>]
[0.005 color <0,0,0>]
[0.01 color <1,1,1>]
[0.6 color <1,1,1>]
}}
finish {phong 3 phong_size 100}
}
sphere {<0,0,.3>,.3 texture {silm scale <1,.5,1> rotate <0,0,0>}  translate <-.3,3,-2>}
sphere {<0,0,.3>,.3 texture {silm scale <1,.5,1> rotate <0,0,0>}  translate <.3,3,-2>}
scale 2.5
#declare suurki=(cos(clock*pi/180*2)-1)*10;
rotate <suurki,0,0>
translate <0,1.5,1>
}




#declare vkasi=blob
{
cylinder {<0,0,0>,<0,0,1>,3,1 scale <1.7,.6,2> texture {liskoiho}}
cylinder {<0,0,0>,<0,0,1>,3,1 scale <1.7,.6,2> translate <0,-.2,0> texture {hammas}}

#local ekke=(sin((clock+120)*pi/180*4)+1)*45*pi/180;
#local ekke2=(sin(clock*pi/180*4)+1)*45*pi/180;
#local ekke3=(sin(clock*pi/180*4)+1)*45*pi/180;
cylinder {<0,0,5>,<0,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<0,sin(ekke)*2,cos(ekke)*2+5>,<0,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<0,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<0,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=(sin((clock+120)*pi/180*4)+1)*45*pi/180;
#local ekke2=(sin((clock)*pi/180*4)+1)*45*pi/180;
#local ekke3=(sin((clock)*pi/180*4)+1)*45*pi/180;
cylinder {<-2,0,5>,<-2,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<-2,sin(ekke)*2,cos(ekke)*2+5>,<-2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<-2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<-2,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=(sin((clock+240)*pi/180*4)+1)*45*pi/180;
#local ekke2=(sin((clock+240)*pi/180*4)+1)*45*pi/180;
#local ekke3=(sin((clock+240)*pi/180*4)+1)*45*pi/180;
cylinder {<2,0,5>,<2,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<2,sin(ekke)*2,cos(ekke)*2+5>,<2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<2,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=-50+cos(clock*pi/180)*20;
cylinder {<-2,0,0>,<-3-cos(ekke)*3,0,2+sin(ekke)*3>,1,2 texture {liskoiho translate <0,0,-1>}}

}


#declare okasi=blob
{
cylinder {<0,0,0>,<0,0,1>,3,1 scale <1.7,.6,2> texture {liskoiho}}
cylinder {<0,0,0>,<0,0,1>,3,1 scale <1.7,.6,2> translate <0,-.2,0> texture {hammas}}

#local ekke=(sin(clock*pi/180*4)+1)*45*pi/180;
#local ekke2=(sin(clock*pi/180*4)+1)*45*pi/180;
#local ekke3=(sin(clock*pi/180*4)+1)*45*pi/180;
cylinder {<0,0,5>,<0,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<0,sin(ekke)*2,cos(ekke)*2+5>,<0,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<0,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<0,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=0;
#local ekke2=0;
#local ekke3=0;
cylinder {<-2,0,5>,<-2,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<-2,sin(ekke)*2,cos(ekke)*2+5>,<-2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<-2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<-2,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=(sin(clock*pi/180*4)+1)*45*pi/180;
#local ekke2=(sin(clock*pi/180*4)+1)*45*pi/180;
#local ekke3=(sin(clock*pi/180*4)+1)*45*pi/180;
cylinder {<2,0,5>,<2,sin(ekke)*2,cos(ekke)*2+5>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<2,sin(ekke)*2,cos(ekke)*2+5>,<2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,1,2 texture {liskoiho translate <0,0,-1>}}
cylinder {<2,sin(ekke)*2+sin(ekke2+ekke)*2,cos(ekke)*2+5+cos(ekke2+ekke)>,<2,sin(ekke)*2+sin(ekke2+ekke)*2+sin(ekke2+ekke+ekke3)*1,cos(ekke)*2+5+cos(ekke2+ekke)+cos(ekke2+ekke+ekke3)*1>,.7,2 texture {liskoiho translate <0,0,-1>}}

#local ekke=-50;
cylinder {<2,0,0>,<3+cos(ekke)*3,0,2+sin(ekke)*3>,1,2 texture {liskoiho translate <0,0,-1>}}
}



#declare vkas=array [3]
#declare vkas[1]=(60+sin(clockk*pi/180*20)*30)*pi/180;
#declare vkas[2]=-20;
sphere {<1.7,0,0>,2 scale <2,.8,.8> texture {mtak}}
sphere {<-1.7,0,0>,2 scale <2,.8,.8> texture {mtak}}
union {
cylinder {<0,0,0>,<0,sin(vkas[1])*-9,cos(vkas[1])*-9>,1.2 texture {mtak}}
sphere {<0,sin(vkas[1])*-9,cos(vkas[1])*-9>,1.2 texture {mtak}}
cylinder {<0,sin(vkas[1])*-9,cos(vkas[1])*-9>,<0,sin(vkas[1])*-9+sin(vkas[2]+vkas[1])*-6,cos(vkas[1])*-9+cos(vkas[2]+vkas[1])*-6>,1.2 texture {mtak}}
object {vkasi scale <1,1.4,1> rotate <90,-90,5> rotate <-(vkas[1]+vkas[2])*180/pi+90,0,0> scale .5 translate <0,sin(vkas[1])*-9+sin(vkas[2]+vkas[1])*-6.5,cos(vkas[1])*-9+cos(vkas[2]+vkas[1])*-6.5>}
rotate <0,0,20>
translate <6,0,0>
}
#declare okas=array [3]
#declare okas[1]=90*pi/180;
#declare okas[2]=-0;
union {
cylinder {<0,0,0>,<0,sin(okas[1])*-9,cos(okas[1])*-9>,1.2 texture {mtak}}
sphere {<0,sin(okas[1])*-9,cos(okas[1])*-9>,1.2 texture {mtak}}
cylinder {<0,sin(okas[1])*-9,cos(okas[1])*-9>,<0,sin(okas[1])*-9+sin(okas[2]+okas[1])*-6,cos(okas[1])*-9+cos(okas[2]+okas[1])*-6>,1.2 texture {mtak}}
object {okasi scale <1,1.4,1> rotate <90,90,-5> rotate <-(okas[1]+okas[2])*180/pi+90,0,0> scale .5 translate <0,sin(okas[1])*-9+sin(okas[2]+okas[1])*-6.5,cos(okas[1])*-9+cos(okas[2]+okas[1])*-6.5>}
rotate <0,0,-20>
translate <-6,0,0>
}
}

#if (clock>25)
#difference {
box {<-40,0,-150>,<400,40,150> pigment {brick scale 2} normal {brick scale 2}}
box {<-35,-1,-145>,<395,41,145> pigment {brick scale 2} normal {brick scale 2}}
translate <0,-40+(clock-25)*2,0>
}
#end



object {naata translate <20,0,0> translate <0,0,-200+np> rotate <0,30,0> translate <80,0,0>}
object {naata translate <0,0,0> translate <0,0,-200+np> rotate <0,30,0>   translate <80,0,0>}
object {naata translate <10,0,0> translate <0,0,-200+np> rotate <0,30,0>  translate <80,0,0>}
object {naata translate <30,0,0> translate <0,0,-200+np> rotate <0,30,0>  translate <80,0,0>}
object {naata translate <40,0,0> translate <0,0,-200+np>rotate <0,30,0>   translate <80,0,0>}


object {oto scale 1.5  rotate <0,90,0> translate <-20,0,-200+np> rotate <0,-30,0>  translate <80,0,0>}
object {oto scale 1.5  rotate <0,90,0> translate <0,0,-200+np> rotate <0,-30,0>  translate <80,0,0>}
object {oto scale 1.5  rotate <0,90,0> translate <20,0,-200+np> rotate <0,-30,0>  translate <80,0,0>}
object {oto scale 1.5  rotate <0,90,0> translate <40,0,-200+np> rotate <0,-30,0>  translate <80,0,0>}
object {oto scale 1.5  rotate <0,90,0> translate <60,0,-200+np> rotate <0,-30,0>  translate <80,0,0>}

object {lisko translate <0,27,0> scale .5 rotate <0,180,0> translate <120,0,-170>}
sphere {<0,0,0>,0 pigment {Black}}